
User Interface - Bug #8210

REGRESSION: separator should not show in date editing FILL-IN in ChUI when FILL-IN is cleared

01/22/2024 03:33 PM - Vladimir Tsichevski

Status: Test Start date:  

Priority: Normal Due date:  

Assignee: Vladimir Tsichevski % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Bug #8204: REGRESSION: separator should not show ... Test

Related to User Interface - Bug #7515: FILL-IN: editing dates issues WIP

History

#1 - 01/22/2024 03:51 PM - Vladimir Tsichevski

In ChUI FILL-IN is cleared with Ctrl-Z, this should reset date editor screen value to empty string. Currently, the value after clearing has format

separators (for formats with separators).

#3 - 01/22/2024 04:10 PM - Vladimir Tsichevski

- Related to Bug #8204: REGRESSION: separator should not show in a new date editing browse shell for unknown value added

#4 - 01/22/2024 04:10 PM - Vladimir Tsichevski

- Related to Bug #7515: FILL-IN: editing dates issues added

#5 - 01/23/2024 08:03 AM - Greg Shah

Is this related to the auto-zap regression reported by Stanislav in #7143-583?

#6 - 01/23/2024 08:08 AM - Vladimir Tsichevski

Greg Shah wrote:

Is this related to the auto-zap regression reported by Stanislav in #7143-583?

 

This issue is one of regressions caused by fixing the #7143-583 (the #7019 was re-opened for #7143-583).

#7 - 01/23/2024 08:56 AM - Greg Shah

When did we fix that?  As far as I know, #7019 is still open to resolve that auto-zap issue.

#8 - 01/23/2024 09:36 AM - Vladimir Tsichevski

Greg Shah wrote:
When did we fix that?  As far as I know, #7019 is still open to resolve that auto-zap issue.

 

Sorry. I was not correct, too much of different issues in parallel:

1. #7019 is still open. I have idea how to make an ultimate fix, but it will need much of reworking testing.

2. This issue is about date editing and has no connection to #7019, which is about numbers.

#9 - 01/29/2024 06:35 AM - Greg Shah

Is this fix in a branch?  I recommend 8204a since it is a related issue.

I understand Tomasz tested this in 6667i with ChUI regression testing.  Please report the regression testing results here and the next steps if any

other testing is needed.

#10 - 01/29/2024 07:25 AM - Vladimir Tsichevski

- File 20240128_203948.tar.gz added

Greg Shah wrote:

Is this fix in a branch?

 

No, it is not. I ran ChUI regression suite with this fix and posted the same fix to Tomasz.

I recommend 8204a since it is a related issue.

 

OK, with one note: the existing fix #8204 has very limited scope (browse cells of the date type) and impact, and I do not think it could cause

regressions.

The fix for this #8210 task spans modifies all kinds of FILL-IN (all subclasses of DisplayFormat), and needs much more testing.

I understand Tomasz tested this in 6667i with ChUI regression testing.  Please report the regression testing results here

 

The results are in 20240128_203948.tar.gz.

and the next steps if any other testing is needed.

 

I will test FILL-IN of all kinds manually.
#11 - 01/29/2024 07:58 AM - Greg Shah

- File deleted (20240128_203948.tar.gz)

#12 - 01/29/2024 08:01 AM - Greg Shah

OK, then put this in 8210a and get it reviewed and tested ASAP.

#13 - 01/29/2024 01:48 PM - Vladimir Tsichevski

- Status changed from New to WIP

- % Done changed from 0 to 100

Greg Shah wrote:

OK, then put this in 8210a and get it reviewed and tested ASAP.

 

Done in 8210a rev. 14952. Please, review.

I've also tested the result manually in Swing GUI and Swing ChUI, and found no regressions so far.

#14 - 01/29/2024 01:49 PM - Vladimir Tsichevski

- Status changed from WIP to Review

#15 - 01/29/2024 04:01 PM - Greg Shah

Hynek: Please review.

#16 - 01/30/2024 03:29 AM - Hynek Cihlar

Code review 8210a revision 14952.

NumberFormat.java and StringFormat.java require update in the copyright year, otherwise the changes look good.

#17 - 01/30/2024 05:32 AM - Vladimir Tsichevski

Hynek Cihlar wrote:

Code review 8210a revision 14952.

NumberFormat.java and StringFormat.java require update in the copyright year, otherwise the changes look good.

 

Fixed in rev. 14953.
#18 - 01/30/2024 07:24 AM - Greg Shah

- Status changed from Review to Internal Test

- Assignee set to Vladimir Tsichevski

Is there any further testing needed?

#19 - 01/30/2024 07:36 AM - Vladimir Tsichevski

Greg Shah wrote:

Is there any further testing needed?

 

Nothing I can think of right now.

#20 - 01/30/2024 08:14 AM - Greg Shah

- Status changed from Internal Test to Merge Pending

You can merge to trunk now.

#21 - 01/30/2024 09:12 AM - Vladimir Tsichevski

- Assignee deleted (Vladimir Tsichevski)

Greg Shah wrote:

You can merge to trunk now.

 

Done. The trunk rev. is 14954.

#22 - 01/30/2024 09:14 AM - Greg Shah

- Status changed from Merge Pending to Test

- Assignee set to Vladimir Tsichevski
